GET api/badgereaderapi/badgeReader/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "bd7ce343-76a6-4240-8c72-e2156ef89574",
"name": "sample string 2",
"pc_id": "dda3aaac-c4ac-48fd-851b-624083ac458c",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "29ca284c-fb0f-441d-9704-155d3f0d9d0d",
"site_id": "04b3dfdb-6711-41e6-a46b-4f4306e7b6ce",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
application/xml, text/xml
Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <badge_reader_type_id>29ca284c-fb0f-441d-9704-155d3f0d9d0d</badge_reader_type_id> <baudrate>1</baudrate> <com_port>1</com_port> <data_bits>7</data_bits> <direction>sample string 3</direction> <handshake>9</handshake> <has_correspondence>true</has_correspondence> <id>bd7ce343-76a6-4240-8c72-e2156ef89574</id> <name>sample string 2</name> <parity>6</parity> <pc_id>dda3aaac-c4ac-48fd-851b-624083ac458c</pc_id> <site_id>04b3dfdb-6711-41e6-a46b-4f4306e7b6ce</site_id> <stop_bits>8</stop_bits> </badgereader>